#
# Script to fix DJGPP-specif issues in znew.in
#

/^PATH="BINDIR:$PATH"/ c\
# POSIX systems.\
CHMOD=/bin/chmod\
LN=/bin/ln\
RM=/bin/rm\
SED=/bin/sed\
SLEEP=/bin/sleep\
PATH_SEPARATOR=:\
exe=\
suffix=~\
ZFOO1=zfoo1$$\
ZFOO2=zfoo2$$\
tmpdir=${TMPDIR-/tmp}\
if test ! -d "$tmpdir"; then\
  tmpdir=.\
fi\
\
if test -n "$DJGPP$djgpp"; then\
# Non-POSIX systems.\
  CHMOD=/dev/env/DJDIR/chmod\
  LN=/dev/env/DJDIR/ln\
  RM=/dev/env/DJDIR/rm\
  SED=/dev/env/DJDIR/sed\
  SLEEP=/dev/env/DJDIR/sleep\
  PATH_SEPARATOR=";"\
  exe=.exe\
  suffix=.~\
  ZFOO1=zfoo$$.1\
  ZFOO2=zfoo$$.2\
fi\
\
PATH="BINDIR$PATH_SEPARATOR$PATH"

s/zfoo\([12]\)\$\$/$ZFOO\1/g
s/zfoo\[12\]\$\$/$ZFOO[12]/g
s/\${IFS}:/${IFS}${PATH_SEPARATOR}/g
s|dir/tail|&${exe}|
s|/tmp|$tmpdir|g
s|/bin/chmod|$CHMOD|g
s|/bin/ln|$LN|g
s|/bin/rm|$RM|g
s|/bin/sed|$SED|g
s|/bin/sleep|$SLEEP|g
s|~|$suffix|g
